Package com.documentum.fc.client

# Interface IDfVersionLabels

public interface IDfVersionLabels
This class is used to enumerate the possible values of implicit and symbolic version labels for a SysObject.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getImplicitVersionLabel()`
  Returns the implicit version label associated with the SysObject.
  `IDfId`
  `getObjectId()`
  Returns the object ID of the SysObject.
  `String`
  `getVersionLabel(int index)`
  Returns the version label at a given index position.
  `int`
  `getVersionLabelCount()`
  Returns a count of all the version labels associated with the SysObject.
  `boolean`
  `hasSymbolicVersionLabel()`
  Indicates whether the SysObject has symbolic labels.

- ## Method Details

  - ### getVersionLabelCount

    int getVersionLabelCount() throws DfException
    Returns a count of all the version labels associated with the SysObject.

    A SysObject's version labels are stored in the repeating attribute r_version_label. The first value in this attribute is the object's implicit version label. The remaining values are the object's symbolic version labels. This method returns a count of all values in the attribute.

    For more information about implicit and symbolic version labels, refer to Server Fundamentals.

    Returns:
      The total number of labels (symbolic & implicit) associated with the SysObject
    Throws:
      `DfException` - if the server returns an error

  - ### getVersionLabel

    String getVersionLabel(int index) throws DfException
    Returns the version label at a given index position.

    A SysObject's version labels are stored in the repeating attribute r_version_label. The first value in this attribute is the object's implicit version label. The remaining values are the object's symbolic version labels. This method returns the version label at a given index position in the r_version_label attribute.

    Index positions in repeating attributes begin at 0 and increment by 1 for each value in the attribute, up to n-1 where n is the total number of values in the attribute. To obtain the total number to values, use `getVersionLabelCount()`.

    Parameters:
      `index` - The index position of the label you want to retrieve
    Returns:
      The version label
    Throws:
      `DfException` - if the server returns an error
    See Also:
      - `getImplicitVersionLabel()`

  - ### hasSymbolicVersionLabel

    boolean hasSymbolicVersionLabel() throws DfException
    Indicates whether the SysObject has symbolic labels.

    This method returns `true` if the object has at least one symbolic label. For information about symbolic labels, refer to Server Fundamentals.

    Returns:
      `true` if the SysObject has at least one symbolic label; `false` if it does not
    Throws:
      `DfException` - if the server return an error

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the object ID of the SysObject.

    Returns:
      An IDfId object that contains the object ID
    Throws:
      `DfException` - if the server returns an error

  - ### getImplicitVersionLabel

    String getImplicitVersionLabel() throws DfException
    Returns the implicit version label associated with the SysObject.

    The implicit version label is the version label assigned by the server. It is a number that indicates the object's place on its version tree. For example, the typical implicit version label for the third version of an object is 1.3. For more information about implicit version labels, refer to Server Fundamentals.

    Returns:
      The implicit version label associated with the SysObject
    Throws:
      `DfException` - if the server returns an error
    See Also:
      - `getVersionLabel(int)`